## ffmpegthumbnailer 2.1.1

=== debian/changelog ===
ffmpegthumbnailer (2.1.1-0.2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:14 +0100

ffmpegthumbnailer (2.1.1-0.2build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:46:33 +0000

ffmpegthumbnailer (2.1.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Remove Soeren Sonnenburg from the list of uploaders. (Closes: #881840)
  * debian/patches:
    - Add patch to fix FTBFS with FFmpeg 4.0. (Closes: #888346)

 -- James Cowgill <jcowgill@debian.org>  Fri, 25 May 2018 16:39:10 +0100

ffmpegthumbnailer (2.1.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fix build issue with ffmpeg 3.0 (Closes: #803812)
  * debian/patches:
    - 621274d694dee1f8c92f5db99a5cff98e82c6bd4.patch: Removed, included
      upstream.
    - Restored-deinterlace.patch: Apply upstream patch to restore deinterlace
      with new ffmpeg.
  * debian/control: Replace libswscale-dev with libavfilter-dev in
    Build-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 14 Mar 2016 20:48:00 +0100
