=== debian/changelog ===
ffmpegthumbnailer (2.1.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 99e81c7b3ea268ce5a748851c6fa748553e698fe']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:10:38 +0000
