## ffmpegthumbnailer 2.2.2%2Bgit20220218%2Bdfsg

=== debian/changelog ===
ffmpegthumbnailer (2.2.2+git20220218+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libavcodec-dev.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Apply multi-arch hints.
    + libffmpegthumbnailer-dev: Add Multi-Arch: same.

  [ Boyuan Yang ]
  * Rebuild against ffmpeg 6.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 15:44:29 -0400

ffmpegthumbnailer (2.2.2+git20220218+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix compatibility with ffmpeg 5.0. (Closes: #1004810)

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Mar 2022 16:53:05 -0400

ffmpegthumbnailer (2.2.2+dfsg-1) unstable; urgency=medium

  * Take over package maintenance via ITS process.
  * New upstream release. (Closes: #989501, #1004315, #805810, #940627)
  * Update project homepage information. (Closes: #978613)
  * dfsg: Drop potentially copyrighted flv files in test.
  * Refresh packaging:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.0.
    + Drop manual -dbg package in favor of -dbgsym package.
    + Mark libffmpegthumbnailer4v5 as Multi-Arch: same.
  * debian/patches: Dropped, merged in the new version.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Feb 2022 12:10:14 -0500
