=== debian/control ===
Source: ffmpegthumbnailer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libjpeg-dev,
 libpng-dev,
 pkg-config,
Standards-Version: 4.6.2
Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer

Package: ffmpegthumbnailer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libglib2.0-0,
Description: fast and lightweight video thumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the ffmpegthumbnailer executable.

Package: libffmpegthumbnailer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libffmpegthumbnailer4v5 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the development files distributed with ffmpegthumbnailer.

Package: libffmpegthumbnailer4v5
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libffmpegthumbnailer4,
Replaces:
 libffmpegthumbnailer4,
Description: shared library for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the shared library for ffmpegthumbnailer framework.
