## ffmpegthumbnailer 2.2.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- libavcodec-dev,
+ libavcodec-dev (>= 4:0.6~svn20100505-1~),
  libavfilter-dev,
  libavformat-dev,
  libavutil-dev,
  libjpeg-dev,
  libpng-dev,
  pkg-config,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer
@@ -37,7 +37,6 @@
 Package: libffmpegthumbnailer-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends:
  libffmpegthumbnailer4v5 (= ${binary:Version}),
  ${misc:Depends},
