=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 	        -DENABLE_THUMBNAILER=ON \
 	        -DENABLE_TESTS=OFF \
 	        $(NULL)
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='ffmpegthumbnailer-dbg (<< 2.1.1-1~)'
