## ffmpegthumbnailer 2.2.2+git20220218+dfsg

=== debian/changelog ===
ffmpegthumbnailer (2.2.2+git20220218+dfsg-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:47:25 +0200

ffmpegthumbnailer (2.2.2+git20220218+dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:49:26 +0000
