=== debian/changelog ===
ffmpegthumbnailer (2.2.2+git20240104+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:14 +0000

ffmpegthumbnailer (2.2.2+git20240104+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.
  * Orphan the package.
  * debian/control: Move git packaging repo under Salsa Debian team
    maintenance.
  * debian/rules: Remove finished dbgsym migration instructions.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Mar 2024 10:48:49 -0400
