=== debian/control ===
--- 
+++ 
@@ -2,23 +2,21 @@
 Section: video
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- libavcodec-dev (>= 4:0.6~svn20100505-1~),
+ libavcodec-dev,
  libavfilter-dev,
  libavformat-dev,
  libavutil-dev,
  libjpeg-dev,
  libpng-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
-Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer
+Vcs-Git: https://salsa.debian.org/debian/ffmpegthumbnailer.git
+Vcs-Browser: https://salsa.debian.org/debian/ffmpegthumbnailer
 
 Package: ffmpegthumbnailer
 Architecture: any
@@ -38,6 +36,7 @@
 Package: libffmpegthumbnailer-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libffmpegthumbnailer4v5 (= ${binary:Version}),
  ${misc:Depends},
