=== debian/changelog ===
ffmpegthumbnailer (2.2.3-2) unstable; urgency=medium

  * QA upload.
  * Migrate to Debian Policy Standards-Version 4.7.0, no changes needed
  * pkgconf replaces pkg-config

 -- Sourav Bhattacharya <souravbhattacharya@tutamail.com>  Mon, 07 Oct 2024 10:21:13 +0530

ffmpegthumbnailer (2.2.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 Sep 2024 07:59:13 -0400
