=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ffmpegthumbnailer
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -12,8 +11,8 @@
  libavutil-dev,
  libjpeg-dev,
  libpng-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
 Vcs-Git: https://salsa.debian.org/debian/ffmpegthumbnailer.git
 Vcs-Browser: https://salsa.debian.org/debian/ffmpegthumbnailer
