=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/dirkvdb/ffmpegthumbnailer/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
