## ffmpegthumbnailer 2.2.4

=== debian/changelog ===
ffmpegthumbnailer (2.2.4-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 10:52:55 +0000

ffmpegthumbnailer (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
    - Fix build with ffmpeg 8.0 (Closes: #1115014)
  * debian/control:
    - Bump Standards-Version
    - Fix Vcs-*

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Dec 2025 10:22:04 +0100
