=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ffmpegthumbnailer
 Section: video
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -12,10 +13,10 @@
  libjpeg-dev,
  libpng-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
-Vcs-Git: https://salsa.debian.org/debian/ffmpegthumbnailer.git
-Vcs-Browser: https://salsa.debian.org/debian/ffmpegthumbnailer
+Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer
 
 Package: ffmpegthumbnailer
 Architecture: any
