## ffmpegthumbnailer 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 set(PACKAGE "ffmpegthumbnailer")
 set(PACKAGE_VERSION_MAJOR 2)
-set(PACKAGE_VERSION_MINOR 2)
-set(PACKAGE_VERSION_PATCH 2)
+set(PACKAGE_VERSION_MINOR 3)
+set(PACKAGE_VERSION_PATCH 0)
 set(PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
 
 set(CPACK_PACKAGE_NAME ${PACKAGE})
@@ -29,14 +29,16 @@
 include(GNUInstallDirs)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 option(ENABLE_SHARED "Build shared library" ON)
 option(ENABLE_STATIC "Build static library" OFF)
 option(ENABLE_TESTS "Build unit tests" ON)
 option(ENABLE_GIO "Support for gio file uris" OFF)
-option(ENABLE_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer" OFF)
+option(ENABLE_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer for video files" OFF)
+option(ENABLE_AUDIO_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer for audio files" OFF)
+option(ENABLE_FULL_STATIC "Build fully static binary" OFF)
 option(SANITIZE_ADDRESS "Build with address sanitizer (detect invalid memory access and memory leaks)" OFF)
 
 if (SANITIZE_ADDRESS)
@@ -45,15 +47,8 @@
 endif ()
 
 find_package(FFmpeg REQUIRED)
-if (NOT FFmpeg_FOUND)
-    message(FATAL_ERROR "BAAM")
-endif ()
-if (NOT TARGET FFmpeg::avcodec)
-    message(FATAL_ERROR "BOOM")
-endif ()
-
 find_package(JPEG)
-if (JPEG_FOUND)
+if (TARGET JPEG::JPEG)
     set(HAVE_JPEG ON)
 endif ()
 
@@ -97,8 +92,8 @@
     FFmpeg::avcodec
     FFmpeg::avutil
     FFmpeg::avfilter
-    $<$<BOOL:${HAVE_JPEG}>:${JPEG_LIBRARIES}>
-    $<$<BOOL:${HAVE_PNG}>:PNG::PNG>
+    $<TARGET_NAME_IF_EXISTS:JPEG::JPEG>
+    $<TARGET_NAME_IF_EXISTS:PNG::PNG>
 )
 
 # we use our own deprecated struct menbers, so disable the warning about it
@@ -121,7 +116,7 @@
 endif ()
 
 set (FFMPEGTHUMBNAILER_SOVERSION_CURRENT 4)
-set (FFMPEGTHUMBNAILER_SOVERSION_REVISION 15)
+set (FFMPEGTHUMBNAILER_SOVERSION_REVISION 16)
 set (FFMPEGTHUMBNAILER_SOVERSION_AGE 1)
 
 if (ENABLE_STATIC)
@@ -137,7 +132,7 @@
     target_include_directories(libffmpegthumbnailerstatic
         PUBLIC
             $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
-    )   
+    )
     set (STATIC_LIB libffmpegthumbnailerstatic)
 endif ()
 
@@ -163,6 +158,10 @@
 
 ADD_EXECUTABLE(ffmpegthumbnailer main.cpp)
 target_include_directories(ffmpegthumbnailer PRIVATE ${CMAKE_BINARY_DIR})
+target_link_options(ffmpegthumbnailer
+    PRIVATE
+        $<$<AND:$<BOOL:${ENABLE_FULL_STATIC}>,$<OR:$<PLATFORM_ID:Linux>,$<PLATFORM_ID:Windows>>>:-static>
+)
 
 if (ENABLE_GIO)
     find_path(DL_INCLUDE dlfcn.h)
@@ -190,6 +189,10 @@
     install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dist/ffmpegthumbnailer.thumbnailer DESTINATION ${CMAKE_INSTALL_DATADIR}/thumbnailers)
 endif ()
 
+if (ENABLE_AUDIO_THUMBNAILER)
+    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dist/ffmpegthumbnailer-audio.thumbnailer DESTINATION ${CMAKE_INSTALL_DATADIR}/thumbnailers)
+endif ()
+
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libffmpegthumbnailer.pc.in ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc @ONLY)
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/CMakeUninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake" IMMEDIATE @ONLY)
