=== debian/changelog ===
ffmpegthumbnailer (2.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/rules: Enable AUDIO_THUMBNAILER.
  * debian/control: Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Jan 2026 12:34:06 -0500
