=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 	dh_auto_configure -- \
 	        -DENABLE_GIO=ON \
 	        -DENABLE_THUMBNAILER=ON \
+	        -DENABLE_AUDIO_THUMBNAILER=ON \
 	        -DENABLE_TESTS=OFF \
 	        $(NULL)
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='ffmpegthumbnailer-dbg (<< 2.1.1-1~)'
