## ffmpegthumbnailer 2.3.0+dfsg

=== debian/changelog ===
ffmpegthumbnailer (2.3.0+dfsg-2) unstable; urgency=medium

  * New maintainer upload (Closes: #1067555)
  * d/watch: upgrade to version 5
  * d/changelog: Add +dfsg to package version to mention repackaging in
    d/copyright
  * d/control: Add Section to package libffmpegthumbnailer4v5
  * d/libffmpegthumbnailer4v5.symbols add symbols file for
    libffmpegthumbnailer4v5

 -- Nicolas Mora <babelouest@debian.org>  Wed, 11 Feb 2026 20:19:16 -0500
