=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ffmpegthumbnailer
 Section: video
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Nicolas Mora <babelouest@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -46,6 +46,7 @@
  This package contains the development files distributed with ffmpegthumbnailer.
 
 Package: libffmpegthumbnailer4v5
+Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
