=== debian/watch ===
Version: 5
Template: Github
Owner: dirkvdb
Project: ffmpegthumbnailer
Dversion-Mangle: s/\+dfsg\d*$//
Repacksuffix: +dfsg
